% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
tick align=outside,
tick pos=left,
width=312.0pt,
x grid style={white!80!black},
xlabel={Latency of the Layer [ms]},
xmajorgrids,
xmin=0, xmax=419.745375,
xtick style={color=white!15!black},
y dir=reverse,
y grid style={white!80!black},
ylabel={Selected Layers},
ymin=-0.5, ymax=15.5,
ytick style={color=white!15!black},
ytick={0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15},
yticklabels={0\_QUANTIZE,1\_CONV\_2D,2\_CONV\_2D,3\_CONV\_2D,4\_ADD,14\_ADD,15\_CONV\_2D,16\_CONV\_2D,27\_ADD,28\_CONV\_2D,29\_CONV\_2D,30\_ADD,31\_AVERAGE\_POOL\_2D,32\_RESHAPE,34\_SOFTMAX,35\_DEQUANTIZE}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:1.6807,0);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{none}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:116.676,1);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:399.5406,2);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,2.6) rectangle (axis cs:399.7575,3);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,3.6) rectangle (axis cs:13.9209,4);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,4.6) rectangle (axis cs:7.3168,5);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,5.6) rectangle (axis cs:363.7103,6);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,6.6) rectangle (axis cs:363.6116,7);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,7.6) rectangle (axis cs:3.8741,8);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,8.6) rectangle (axis cs:330.926,9);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,9.6) rectangle (axis cs:330.8795,10);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,10.6) rectangle (axis cs:3.9327,11);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,11.6) rectangle (axis cs:0.286,12);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,12.6) rectangle (axis cs:0.0078,13);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,13.6) rectangle (axis cs:0.0787,14);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,14.6) rectangle (axis cs:0.0092,15);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-2.77555756156289e-17) rectangle (axis cs:0.8127,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{cmsis-nn}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:21.8099,1.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2) rectangle (axis cs:57.7978,2.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,3) rectangle (axis cs:57.8836,3.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,4) rectangle (axis cs:16.0042,4.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,5) rectangle (axis cs:8.2166,5.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,6) rectangle (axis cs:48.5936,6.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,7) rectangle (axis cs:48.5648,7.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,8) rectangle (axis cs:4.1348,8.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,9) rectangle (axis cs:44.8777,9.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,10) rectangle (axis cs:44.8666,10.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,11) rectangle (axis cs:4.1529,11.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,12) rectangle (axis cs:0.222,12.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,13) rectangle (axis cs:0.007,13.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,14) rectangle (axis cs:0.0773,14.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,15) rectangle (axis cs:0.0092,15.4);
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan -0.2
nan -0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0.8
nan 0.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1.8
nan 1.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2.8
nan 2.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 3.8
nan 3.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 4.8
nan 4.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 5.8
nan 5.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 6.8
nan 6.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 7.8
nan 7.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 8.8
nan 8.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 9.8
nan 9.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 10.8
nan 10.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 11.8
nan 11.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 12.8
nan 12.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 13.8
nan 13.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 14.8
nan 14.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0.2
nan 0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1.2
nan 1.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2.2
nan 2.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 3.2
nan 3.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 4.2
nan 4.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 5.2
nan 5.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 6.2
nan 6.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 7.2
nan 7.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 8.2
nan 8.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 9.2
nan 9.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 10.2
nan 10.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 11.2
nan 11.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 12.2
nan 12.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 13.2
nan 13.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 14.2
nan 14.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 15.2
nan 15.2
};
\end{axis}

\end{tikzpicture}
